Bug 99377 - usb multi card reader requires multi-lun support
usb multi card reader requires multi-lun support
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
: 118047 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-18 08:32 EDT by Yusuf Goolamabbas
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-26 08:37:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yusuf Goolamabbas 2003-07-18 08:32:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5a) Gecko/20030717
Mozilla Firebird/0.6

Description of problem:
Hi, USB Multi-card readers are quite popular and RH doesn't have multi-lun
support by default so it doesn't see all the slots

Whilst I have seen other bugzilla reports which mention the workaround by Arjan
of adding

options scsi_mod max_scsi_luns=255

to /etc/modules.conf and then recreating initrd. I am confused about a few things

a) Would I have to recreate the initrd when I upgrade to an errata kernel
b) Under what conditions does editing /etc/modules.conf require recreation of initrd

My /proc/scsi/sci output is as follows. Hope these devices can be whitelisted

[yusufg@yghome yusufg]$ cat /proc/scsi/scsi
Attached devices:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: Generic  Model: USB Storage-SMC  Rev: 0180
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 00 Lun: 01
  Vendor: Generic  Model: USB Storage-CFC  Rev: 0180
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 00 Lun: 02
  Vendor: Generic  Model: USB Storage-MMC  Rev: 0180
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 00 Lun: 03
  Vendor: Generic  Model: USB Storage-MSC  Rev: 0180
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi1 Channel: 00 Id: 00 Lun: 00
  Vendor: LITE-ON  Model: LTR-48246S       Rev: SS0B
  Type:   CD-ROM                           ANSI SCSI revision: 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. add options scsi_mod max_scsi_luns=255 to /etc/modules.conf
2. Recreate /boot/initrd for running kernel
3. Reboot
    

Additional info:
Comment 1 Dave Jones 2004-05-26 08:36:02 EDT
*** Bug 118047 has been marked as a duplicate of this bug. ***
Comment 2 Dave Jones 2004-05-26 08:37:10 EDT
Fixed in FC2, won't be fixed for RHL9 due to end of life.

Note You need to log in before you can comment on or make changes to this bug.